Katello - Bug #7019

Content Search - package is not functional
08/11/2014 10:00 AM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1128473 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/455
8
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1128473
Description of problem:
Content Search - package is not functional

Version-Release number of selected component (if applicable):
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.38-1.el6sat.noarch
foreman-compute-1.6.0.38-1.el6sat.noarch
foreman-gce-1.6.0.38-1.el6sat.noarch
foreman-libvirt-1.6.0.38-1.el6sat.noarch
foreman-ovirt-1.6.0.38-1.el6sat.noarch
foreman-postgresql-1.6.0.38-1.el6sat.noarch
foreman-proxy-1.6.0.23-1.el6sat.noarch
foreman-selinux-1.6.0.4-1.el6sat.noarch
foreman-vmware-1.6.0.38-1.el6sat.noarch
katello-1.5.0-28.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.6-1.el6sat.noarch
katello-installer-0.0.57-1.el6sat.noarch
openldap-2.4.23-34.el6_5.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
pulp-server-2.4.0-0.30.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
sssd-ldap-1.11.5.1-3.e16.x86_64

How reproducible:
Always

05/17/2024 1/2



https://bugzilla.redhat.com/show_bug.cgi?id=1128473

Steps to Reproduce:

1. Navigate to Content -> Content Search

2. Update Content to 'Packages'

3. Select auto-complete repositories under Repositories
4. Enter a repo hame

5. Click Refresh Results

Actual results:
Page kept on loading with a bunch of firebug errors

Expected results:
Package search should be functional

Additional info:

Associated revisions

Revision a02ea99b - 08/11/2014 11:28 AM - Brad Buckingham

fixes #7019 / BZ 1128473 - content search - change to eliminate errors with ambiguous 'id'

This commit is to update a few queries that use 'pluck’ to be explicit
on the table that the attribute (id) is being plucked from. Without them
the user can experience errors like:

Processing by Katello::ContentSearchController#packages as */*

Parameters: {"repos"=>{"autocomplete"=>[{"id"=>"13", "name"=>"samrepo"}]}, "packages"=>{"search"=>""}, "content_type"=>"packages",
"mode"=>"all", "environments"=>[2], "content_search"=>{"repos"=>{"autocomplete"=>[{"id"=>"13", "name"=>"samrepo"}]},
"packages"=>{"search"=>""}, "content_type"=>"packages", "mode"=>"all", "environments"=>[2]}}
PGError: ERROR: column reference "id" is ambiguous

LINE 1: SELECT id FROM "katello_repositories" INNER JOIN "katello_co...

A

: SELECT id FROM "katello_repositories" INNER JOIN "katello_content_view_versions" ON "katello_content_view_versions"."id" =

"katello_repositories"."content_view_version_id" WHERE "katello_content_view_versions"."content_view_id" IN (1, 2, 3, 4, 6) ORDER BY
katello_repositories.name ASC (ActiveRecord::Statementinvalid)

"
)

Revision b65a5d71 - 08/12/2014 03:21 PM - Brad Buckingham
Merge pull request #4558 from bbuckingham/issue-7019

fixes #7019 / BZ 1128473 - content search - change to eliminate errors with ambiguous 'id'

History

#1 - 08/11/2014 10:00 AM - Brad Buckingham
- Assignee set to Brad Buckingham

- Triaged changed from No to Yes

#2 - 08/11/2014 11:31 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4558 added
- Pull request deleted ()

#3 - 08/12/2014 04:01 PM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|a02ea99bac532875227b28c5¢36316e873151b8f.

#4 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
https://projects.theforeman.org/projects/katello/repository/katello/revisions/a02ea99bac532875227b28c5c36316e873151b8f
